﻿using MindFusion.Diagramming.Wpf;
using MindFusion.Diagramming.Wpf.Export;
using System.IO;
using System.Windows;

namespace MindfusionNewVersionIssues
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var diagram = DiagramView.Diagram;


            DiagramView.ZoomFactor = 100;

            DiagramView.Diagram = diagram;
            var random = new Random();

            DiagramView.CustomBehavior = new MindfusionMoveNodesBehavior(DiagramView);

            var link = new DiagramLink();
            link.StartPoint = new Point(0, 0);
            link.EndPoint = new Point(100, 100);

            link.HeadShape = ArrowHeads.Arrow;
            DiagramView.Diagram.Items.Add(link);
        }

        private void ExportDiagram(object sender, RoutedEventArgs e)
        {
            var svgExporter = new SvgExporter();

            using var ms = new MemoryStream();
            svgExporter.Export(DiagramView, ms);
        }
    }
}